%define  pkgname json-pure
 
Name: 	 ruby-%pkgname
Version: 2.1.0
Release: alt0.M70C.2
 
Summary: This is a JSON implementation in pure Ruby
License: MIT/Ruby
Group:   Development/Ruby
Url:     https://github.com/flori/json
 
Packager: Andrey Cherepanov <cas@altlinux.org>
 
Source:  %pkgname-%version.tar
 
BuildRequires(pre): rpm-build-ruby
BuildRequires: ruby-tool-setup
BuildRequires: libruby-devel
 
%description
This is a JSON implementation in pure Ruby.

%package doc
Summary: Documentation files for %name
Group: Documentation
 
BuildArch: noarch
 
%description doc
Documentation files for %{name}.

%prep
%setup -n %pkgname-%version
%update_setup_rb
 
%build
%ruby_config
%ruby_build
 
%install
%ruby_install
%rdoc lib/
# Remove unnecessary files
rm -f %buildroot%ruby_ri_sitedir/{Object/cdesc-Object.ri,cache.ri,created.rid}
 
%check
%ruby_test_unit -Ilib:test test
 
%files
%doc README*
%ruby_sitearchdir/*
%ruby_sitelibdir/*
 
%files doc
%ruby_ri_sitedir/*
 
%changelog
* Tue May 15 2018 Andrey Cherepanov <cas@altlinux.org> 2.1.0-alt0.M70C.2
- Rebuild with Ruby 2.4.4.

* Thu Jun 15 2017 Andrey Cherepanov <cas@altlinux.org> 2.1.0-alt0.M70C.1
- Backport to c7 branch

* Wed Apr 19 2017 Andrey Cherepanov <cas@altlinux.org> 2.1.0-alt1
- New version

* Wed Apr 12 2017 Andrey Cherepanov <cas@altlinux.org> 2.0.4-alt1
- New version

* Sat Mar 11 2017 Andrey Cherepanov <cas@altlinux.org> 2.0.2-alt1
- New version
- Rebuild with new %%ruby_sitearchdir location

* Mon Sep 12 2016 Andrey Cherepanov <cas@altlinux.org> 2.0.1-alt1
- New version

* Wed Apr 23 2014 Andrey Cherepanov <cas@altlinux.org> 1.8.1-alt1
- Initial build for ALT Linux
